Skip to main content

/cosmos/staking/v1beta1/delegators/{delegator_addr}/redelegations

GET

Redelegations queries redelegations of given address.
Path Parameters
delegator_addrstringrequired
delegator_addr defines the delegator address to query for.
Query Parameters
src_validator_addrstring
Source validator address for the redelegation.
dst_validator_addrstring
Destination validator address for the redelegation.
pagination.keystring
key is a value returned in PageResponse.next_key to beginquerying the next page most efficiently. Only one of offset or keyshould be set.
pagination.offsetstring
offset is a numeric offset that can be used when key is unavailable.It is less efficient than using key. Only one of offset or key shouldbe set.
pagination.limitstring
limit is the total number of results to be returned in the result page.If left empty it will default to a value to be set by each app.
pagination.count_totalboolean
count_total is set to true to indicate that the result set should includea count of the total number of items available for pagination in UIs.count_total is only respected when offset is used. It is ignored when keyis set.
pagination.reverseboolean
Set to true to return results in descending order.
Responses
Redelegation information for a specific delegator from a specific source validator to a specific destination validator.
delegator_addressstring
delegator_address is the bech32-encoded address of the delegator.
validator_src_addressstring
Operator address of the source validator for the redelegation.
validator_dst_addressstring
Operator address of the destination validator for the redelegation.
entries are the redelegation entries.
creation_heightstring
creation_height defines the height which the redelegation took place.
completion_timestring
completion_time defines the unix time for redelegation completion.
initial_balancestring
initial_balance defines the initial balance when redelegation started.
shares_dststring
Amount of destination validator shares created by the redelegation.
unbonding_idstring
unbonding_on_hold_ref_countstring
RedelegationEntry defines a redelegation object with relevant metadata.
creation_heightstring
creation_height defines the height which the redelegation took place.
completion_timestring
completion_time defines the unix time for redelegation completion.
initial_balancestring
initial_balance defines the initial balance when redelegation started.
shares_dststring
Amount of destination validator shares created by the redelegation.
unbonding_idstring
unbonding_on_hold_ref_countstring
balancestring
pagination defines an pagination for the response.
next_keystring
next_key is the key to be passed to PageRequest.key toquery the next page most efficiently. It will be empty ifthere are no more results.
totalstring
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "An unexpected error response."
}
cURL
curl -X GET 'https://rest-sei-mainnet.nodit.io/cosmos/staking/v1beta1/delegators/{delegator_addr}/redelegations' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'